GDCM 2.2.1

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

List of all members
gdcm::Element< VR::OB, VM::VM1 > Class Template Reference

`#include <gdcmElement.h>`

Inheritance diagram for gdcm::Element< VR::OB, VM::VM1 >:
[legend]
Collaboration diagram for gdcm::Element< VR::OB, VM::VM1 >:
[legend]

## Additional Inherited Members

Public Types inherited from gdcm::Element< VR::OB, VM::VM1_n >
typedef VRToType< TVR >::Type | Type
Public Member Functions inherited from gdcm::Element< VR::OB, VM::VM1_n >
DataElement | GetAsDataElement () const
unsigned long | GetLength () const
const VRToType< TVR >::Type & | GetValue (unsigned int idx=0) const
VRToType< TVR >::Type & | GetValue (unsigned int idx=0)
const VRToType< TVR >::Type * | GetValues () const
VRToType< TVR >::Type | operator[] (unsigned int idx) const
void | Print (std::ostream &_os) const
void | Read (std::istream &_is)
void | Set (Value const &v)
void | SetFromDataElement (DataElement const &de)
void | SetValue (typename VRToType< TVR >::Type v, unsigned int idx=0)
void | Write (std::ostream &_os) const
Static Public Member Functions inherited from gdcm::Element< VR::OB, VM::VM1_n >
static VM | GetVM ()
static VR | GetVR ()
Public Attributes inherited from gdcm::Element< VR::OB, VM::VM1_n >
VRToType< TVR >::Type | Internal [VMToLength< TVM >::Length]
Protected Member Functions inherited from gdcm::Element< VR::OB, VM::VM1_n >
void | SetNoSwap (Value const &v)

The documentation for this class was generated from the following file:

- gdcmElement.h